# class Gem::Resolver::BestSet

The `BestSet` chooses the best available method to query a remote index.

It combines IndexSet and APISet

### Public Class Methods

new (sources = Gem.sources)
Source

    # File lib/rubygems/resolver/best_set.rb, line 13
    def initialize(sources = Gem.sources)
      super()

      @sources = sources
    end

Creates a `BestSet` for the given `sources` or `Gem::sources` if none are specified. `sources` must be a `Gem::SourceList`.

Calls superclass method `Gem::Resolver::ComposedSet::new`